ENCRYPT_=0    --LUA脚本加密

--数据类型定义
VT_LW = 1    --变量地址
VT_RW = 2    --FLASH存储
VT_0x = 10   --线圈
VT_1x = 11   --输入点
VT_3x = 12   --输入寄存器
VT_4x = 13   --保持寄存器

function on_run(screen)
    local start  = get_uint16(VT_4x, 0x1000) --开机状态
    local dstVol = get_uint16(VT_4x, 0x1001) --设置电压
    local curVol = get_uint16(VT_4x, 0x1002) --当前电压
    local online = get_uint16(VT_4x, 0x01A3) --在线状态,位掩码
    if dstVol > curVol and start == 1 and (online&0x01 == 1)--设备开启后,且从机在线，当前电压不等于目标电压，设置当前电压值
    then
        set_uint16(VT_4x, 0x1003, 1) --设置频率
    end
end

function on_init()
    set_run_cycle(1000) --on_run(screen)  1s回调一次
end